<ng-container>
    <mat-card class="result-container" [ngClass]="{'warning-border': parametersChanged}" tabindex="0">
        <mat-card-title>{{resultsHeaderMsg}}</mat-card-title>
      <div>
        <div class="layout">
            <mat-card-content class="title"
            matTooltip="Thermal sensitivity times the weighting correction factor"
            matTooltipPosition="before">
                Weighted spectral sensitivity
            </mat-card-content>
            <mat-card-content id="spectralWeightedSensitivity"
            matTooltip="Thermal sensitivity times the weighting correction factor"
            matTooltipPosition="before">
              {{lowZoomResults?.weightedSpectralSensitivity}}<ng-container *ngIf="lowZoomResults?.weightedSpectralSensitivity">&Dagger;</ng-container>
            </mat-card-content>
        </div>
        <div class="layout">
            <mat-card-content class="title" matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
            matTooltipPosition="before">
                Spectral confusion noise
            </mat-card-content>
            <mat-card-content id="spectralConfusionNoise" matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
            matTooltipPosition="before">
              {{lowZoomResults?.spectralConfusionNoise}}<ng-container *ngIf="lowZoomResults?.spectralConfusionNoise"></ng-container>
            </mat-card-content>
        </div>
        <div class="layout">
            <mat-card-content class="title" matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
            matTooltipPosition="before">
                Total spectral sensitivity
            </mat-card-content>
            <mat-card-content id="spectralTotalSensitivity" matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
            matTooltipPosition="before">
              {{lowZoomResults?.totalSpectralSensitivity}}<ng-container *ngIf="lowZoomResults?.totalSpectralSensitivity"></ng-container>
            </mat-card-content>
        </div>
        <div class="layout">
          <mat-card-content class="title"
            matTooltip="Major and minor axes (FWHM) of the synthesized beam"
            matTooltipPosition="before">
                Spectral synthesized beam-size
            </mat-card-content>
            <mat-card-content id="spectralSynthesizedBeamSize"
            matTooltip="Major and minor axes (FWHM) of the synthesized beam"
            matTooltipPosition="before">
                {{lowZoomResults?.spectralSynthesizedBeamSize}}
            </mat-card-content>
        </div>
        <div class="layout">
            <mat-card-content class="title"
            matTooltip="Brightness sensitivity corresponding to the beam solid angle"
            matTooltipPosition="before">
                Spectral surface-brightness sensitivity
            </mat-card-content>
            <mat-card-content id="spectralSurfaceBrightnessSensitivity"
            matTooltip="Brightness sensitivity corresponding to the beam solid angle"
            matTooltipPosition="before">
                {{lowZoomResults?.spectralSurfaceBrightnessSensitivity}}
            </mat-card-content>
        </div>
            <br>

            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="FWHM of the Rotation Measure Spread Function"
                                matTooltipPosition="before">
                    FWHM of the RMSF
                </mat-card-content>
                <mat-card-content id="fwhmOfTheRmsf"
                                matTooltip="FWHM of the Rotation Measure Spread Function"
                                matTooltipPosition="before" [innerHTML]="lowZoomResults?.spectropolarimetryResults?.fwhmOfTheRMSF">
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Largest Faraday depth scale that can be detected"
                                matTooltipPosition="before">
                    Maximum Faraday depth extent
                </mat-card-content>
                <mat-card-content id="maxFaradayDepthExtent"
                                matTooltip="Largest Faraday depth scale that can be detected"
                                matTooltipPosition="before" [innerHTML]="lowZoomResults?.spectropolarimetryResults?.maximumFaradayDepthExtent">
                </mat-card-content>
            </div>
            <div class="layout">
                <mat-card-content class="title"
                                matTooltip="Maximum Faraday depth that can be detected"
                                matTooltipPosition="before">
                    Maximum Faraday depth
                </mat-card-content>
                <mat-card-content id="maxFaradayDepth"
                                matTooltip="Maximum Faraday depth that can be detected"
                                matTooltipPosition="before" [innerHTML]="lowZoomResults?.spectropolarimetryResults?.maximumFaradayDepth">
                </mat-card-content>
            </div>
        </div>
        <mat-error *ngIf="lowZoomResults?.warnings?.errorMsg">
            {{lowZoomResults?.warnings?.errorMsg}}
        </mat-error>
        <mat-error *ngIf="lowZoomResults?.warnings?.sensLimitReached?.reached" id="sensLimitWarning" style="padding-top: 6px;">
            {{sensLimitWarning()}}
        </mat-error>
        <mat-error *ngIf="lowZoomResults?.warnings?.integrationTimesDifferent" id="zoomIntegrationTimeWarning" style="padding-top: 6px;">
            {{differentIntegrationTimeMessage}}
        </mat-error>
    </mat-card>
    <ng-container *ngIf="lowZoomResults?.weightedSpectralSensitivity">
      &Dagger; Weighting correction factor (single channel)
    </ng-container>
    <mat-error  *ngIf="parametersChanged">
        Parameters have changed.
    </mat-error>
  </ng-container>

